/*
 * Copyright 2023 teogor (Teodor Grigor)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dev.teogor.ceres.core.register

import java.time.LocalDateTime
import java.time.ZoneOffset

interface BuildProfiler {

  val isDebuggable: Boolean

  val versionName: String

  val versionCode: Long

  val packageName: String

  val systemZoneOffset: ZoneOffset

  val buildTime: Long

  val buildLocalDateTime: LocalDateTime

  val gitCommitHash: String?

  val ceresBomVersion: String?
}

val LocalBuildProfiler = staticRegistryLocalOf<BuildProfiler> {
  intrinsicImplementation<BuildProfiler>()
}
